/**
 * $Id: DeadLockLogger.java,v 1.1 2009/07/14 08:18:46 oboehm Exp $
 *
 * Copyright (c) 2009 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 14.07.2009 by oliver (ob@oasd.de)
 */

package patterntesting.concurrent;

import org.apache.commons.logging.*;

import patterntesting.runtime.util.Converter;

/**
 *
 * @author oliver
 * @since 14.07.2009
 * @version $Revision: 1.1 $
 */
public class DeadLockLogger implements DeadLockListener {
	
	private static final Log log = LogFactory.getLog(DeadLockLogger.class);

	/**
	 * @see patterntesting.concurrent.DeadLockListener#deadLockDetected(java.lang.Thread[])
	 */
	@Override
	public void deadLockDetected(Thread[] threads) {
		if (log.isInfoEnabled()) {
			log.info("deadlock in " + threads.length + " threads detected: "
					+ Converter.toString(threads));
		}
	}

}


/*
 * $Log: DeadLockLogger.java,v $
 * Revision 1.1  2009/07/14 08:18:46  oboehm
 * ThreadDeadLockMonitor is tested now
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-concurrent/src/main/java/patterntesting/concurrent/DeadLockLogger.java,v $
 */
